Results 1 to 6 of 6

Thread: To all 8.04 at later Firefox Users- use Mozilla PPA

  1. #1
    Join Date
    Sep 2005
    Location
    East Coast, USA
    Beans
    246
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    To all 8.04 at later Firefox Users- use Mozilla PPA

    For all you folks who have been enjoying ubuntuzilla, well, this is not an official announcement, but it seems this PPA is now unmaintained. Hope I'm wrong. It was very nice while it lasted.

    I found an official ubuntu build of the latest mozilla FF at:

    https://launchpad.net/~ubuntu-mozill.../+archive/ppa/

    To find your O/S release (e.g., 8.04LTS) click the green "Technical details about this PPA" link and select your O/S from the dropdown.

    Follow the rest of the instructions to add the PPA to your sources.

    Print this out:
    Exit firefox
    Code:
    sudo apt-get remove firefox-mozilla-build
    (or follow instructions if you installed from the python script.)

    Delete or comment from /etc/apt/sources.list:
    deb http://switch.dl.sourceforge.net/pro...la/mozilla/apt all main


    Code:
    sudo apt-get update
    sudo apt-get install firefox firefox-branding
    You should be at 3.6.15 or later.

    I'm not sure what happens on the jump to FF4.

    Good luck!
    Last edited by hangfire; March 4th, 2011 at 08:54 PM.
    ASUS M4A89GTD PRO/USB3 +AMD 550BE Quad@3.4GHz
    2x4GB G.Skill DDR3/1666
    EVGA 9800GT (because AMD drivers blow)
    Gentoo

  2. #2
    Join Date
    Aug 2006
    Beans
    Hidden!
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: To all 8.04 at later Firefox Users- use Mozilla PPA

    The main 8.04 repository has the latest stable FF-3.6.14, not sure why you need to use PPAs.

  3. #3
    Join Date
    Sep 2005
    Location
    East Coast, USA
    Beans
    246
    Distro
    Ubuntu 11.10 Oneiric Ocelot

    Re: To all 8.04 at later Firefox Users- use Mozilla PPA

    Quote Originally Posted by mikewhatever View Post
    The main 8.04 repository has the latest stable FF-3.6.14, not sure why you need to use PPAs.
    Then why use ubuntuzilla?

    I guess it has to do with Canonical's 8.04 repos being stuck on FF 3.0 for months, and then finding ubuntuzilla, which came into existence for the same reason. There was a lot of banter on ubuntuforums.org and no one at Canonical stepped up to the plate to fix it at the time... so... haven't relied on them for FF ever since.
    ASUS M4A89GTD PRO/USB3 +AMD 550BE Quad@3.4GHz
    2x4GB G.Skill DDR3/1666
    EVGA 9800GT (because AMD drivers blow)
    Gentoo

  4. #4
    Join Date
    Oct 2006
    Location
    third planet from the sun
    Beans
    473
    Distro
    Ubuntu 10.04 Lucid Lynx

    Thumbs down Re: To all 8.04 at later Firefox Users- use Mozilla PPA

    haven't relied on them for FF ever since.
    agree 100%

    most of the updates deal with security and severe bugs and when weeks late that is bad for my system and me ;-D

    along the same lines, where is the t-bird update from 2 weeks ago?
    3.1.9 came out the same time as the ff update and still quiet on the repo's

    wish someone knew enough to take over from nanotube !!!!

  5. #5
    Join Date
    Jan 2006
    Location
    Philadelphia
    Beans
    4,060
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: To all 8.04 at later Firefox Users- use Mozilla PPA

    Quote Originally Posted by the.phantom View Post
    agree 100%

    most of the updates deal with security and severe bugs and when weeks late that is bad for my system and me ;-D

    along the same lines, where is the t-bird update from 2 weeks ago?
    3.1.9 came out the same time as the ff update and still quiet on the repo's

    wish someone knew enough to take over from nanotube !!!!
    ubuntu lucid + later do have timely updates for ff/tb/sm...

  6. #6
    Join Date
    Mar 2011
    Location
    Germany
    Beans
    309
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: To all 8.04 at later Firefox Users- use Mozilla PPA

    For Firefox 3.6.16, I can confirm that the official repositories offered the update for Ubuntu 9.10 (Karmic Koala) tonight.
    Friday morning will show whether the update will be offered to the office machine running Ubuntu 10.04 (Lucid Lynx) as well.
    Have not spotted Firefox 4.0 in the official repositories so far for Karmic or Lucid.

    <Added, Friday morning>
    Lucid Lynx is running the official Ubuntu release of Firefox 3.6.16 now. So it is in the repositories.
    </Added, Friday morning>

    Karl
    Last edited by Karlchen; March 25th, 2011 at 10:15 AM.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •